/****************************************************************************
  PROJECT: MusixTeX PreProcessor
  FILE   : define.h
  AUTHOR : J. C. Nieuwenhuizen

  copyright (c) FlowerSoft 1995
--*/

#ifndef __DEFINE_H
#define __DEFINE_H

#ifndef __MACRO_H
#include "macro.h"
#endif

/****************************************************************************
  class Define
--*/

class Define : public Macro {

public:
    virtual void execute( StringList& parameterList, Staff& staff );

    Define( const char* s );
    virtual ~Define();
};
//-- class Define //

/****************************************************************************
  class Meter
--*/

class Meter : public Macro {

public:
    virtual void execute( StringList& parameterList, Staff& staff );

    Meter( const char* s );
    virtual ~Meter();
};
//-- class Meter //

/****************************************************************************
  class Metron
--*/

class Metron : public Macro {

public:
    virtual void execute( StringList& parameterList, Staff& staff );

    Metron( const char* s );
    virtual ~Metron();
};
//-- class Metron //

/****************************************************************************
  class NewLine
--*/

class NewLine : public Macro {

public:
    virtual void execute( StringList& parameterList, Staff& staff );

    NewLine( const char* s, const char* sub );
    ~NewLine();
};
//-- class NewLine //

/****************************************************************************
  class Volta
--*/

class Volta : public Macro {
//    const char* baseSubstitute;
    
public:
    virtual void execute( StringList& parameterList, Staff& staff );

    Volta( const char* s, const char* sub );
    virtual ~Volta();
};
//-- class Volta //

#endif // __DEFINE_H //
